Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 2.3.6

Bug #7100 Install fails with xdebug.2.0.0rc1-dev
Submitted: 2006-03-12 17:54 UTC
From: info at e-novative dot de Assigned:
Status: Closed Package: PHPUnit2 (version 2.3.5)
PHP Version: 5.1.2 OS: Win XP
Roadmaps: (Not assigned)    
Subscription  
Comments Add Comment Add patch


Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know! Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem : 46 - 20 = ?

 
 [2006-03-12 17:54 UTC] info at e-novative dot de (Stefan Priebsch)
Description: ------------ PEAR installation fails with the latest xdebug-2.0.0rc1-dev installed: pear/PHPUnit2 requires PHP extension "xdebug" (version >= 2.0.0beta2), installed version is 2.0.0rc1-dev No valid packages found As a workaround, temporarily disabling when installing PHPUnit xdebug helps.

Comments

 [2006-04-19 07:56 UTC] soporte at onfocus dot cl (Cristian Rodriguez)
I have the same problem. thanks for suggesting a workaround ;-) This is a pear and not an phpunit2 bug right ? ps: what and horrible and hard to read captcha have the bug tracker now.
 [2006-04-20 20:53 UTC] info at e-novative dot de
The problem seems to be the "weird" xdebug version number that PEAR can not correctly compare to the minimum requirement. I'd agree that this probably is a PEAR bug, but obviously it shows up with PHPUnit. Any word from Sebastian?
 [2006-04-21 05:09 UTC] sebastian at php dot net (Sebastian Bergmann)
I am currently busy preparing for my final oral exam at the University and with moving to Norway where I will write my thesis starting on May 1st. I hope to continue to work on PHPUnit once I settled in there. Thank you for your patience.
 [2006-05-31 19:31 UTC] sebastian at php dot net (Sebastian Bergmann)
Thank you for your bug report. This issue has been fixed in the latest released version of the package, which you can download at http://pear.php.net/get/PHPUnit2